Subject: bug#68411: Timezone not detected from /etc/localtime

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 18 Jan 2024 23:32:34 -0500

Hi,

Distopico <[email-masked]> writes:

> Apps such as Icecat or ungoogled-chromium are not able to get the
> correct timezone from /etc/localtime when `/etc/localtime` is a realpath
> maybe because it expect /etc/share/zoneinfo, with readlink partially
> works fine some apps, maybe related with an icu bug.[1]

I don't know about ungoogled-chromium, but for IceCat, I had
investigated the problem at length in https://issues.guix.gnu.org/59368,
and it seems the bug is not in ICU but in Firefox, triggered in very
specific situations (resistFingerprinting defaults to true before user
prefs are loaded, and resetting the timezone fails in some javascript
that expects /etc/localtime to be a symlink, see:
https://bugzilla.mozilla.org/show_bug.cgi?id=1817004#c8).

-- 
Thanks,
Maxim